Bug 1347922 - nfs-ganesha disable doesn't delete nfs-ganesha folder from /var/run/gluster/shared_storage
Summary: nfs-ganesha disable doesn't delete nfs-ganesha folder from /var/run/gluster/s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: common-ha
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Jiffin
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks: 1349398 1351154 1351503
TreeView+ depends on / blocked
 
Reported: 2016-06-18 13:12 UTC by Shashank Raj
Modified: 2017-03-23 05:37 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1349398 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:37:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Shashank Raj 2016-06-18 13:12:26 UTC
Description of problem:

nfs-ganesha disable doesn't delete nfs-ganesha folder from /var/run/gluster/shared_storage

Version-Release number of selected component (if applicable):

nfs-ganesha-2.3.1-8

How reproducible:

Always

Steps to Reproduce:

1. On a already running nfs-ganesha cluster, disable nfs-ganesha using below command:

gluster nfs-ganesha disable

2. Observe that the nfs-ganesha folder, which is being created under /var/run/gluster/shared_storage during nfs-ganesha enable, doesn't get deleted from the path


Actual results:

nfs-ganesha disable doesn't delete nfs-ganesha folder from /var/run/gluster/shared_storage

Expected results:

the nfs-ganesha folder should get deleted from /var/run/gluster/shared_storage once we disable nfs-ganesha on the cluster.

Additional info:

Comment 3 Jiffin 2016-09-16 10:10:37 UTC
Patch http://review.gluster.org/#/c/14833/ got merged in upstream 3.8

Comment 4 Jiffin 2016-09-16 10:46:22 UTC
This change is already part of rebase

Comment 7 Shashank Raj 2016-10-06 11:54:32 UTC
With current design in 3.2, once we disable nfs-ganesha on the cluster, the nfs-ganesha folder under /var/run/gluster/shared_storage should not get deleted because we are recommending to manually create it once we setup ganesha for the first time.

So after tearing down ganesha cluster, following is the behavior:

symlink to ganesha.conf under shared storage will get removed

[root@dhcp43-110 ~]# cd /etc/ganesha/
[root@dhcp43-110 ganesha]# ls
ganesha.conf  ganesha-ha.conf  ganesha-ha.conf.sample

and the nfs-ganesha folder under shared storage will still be there but entries other than ganesha.conf and ganesha-ha.conf will get removed:

[root@dhcp43-110 ganesha]# cd /var/run/gluster/shared_storage/
[root@dhcp43-110 shared_storage]# ls
nfs-ganesha
[root@dhcp43-110 shared_storage]# cd nfs-ganesha/
[root@dhcp43-110 nfs-ganesha]# ls
ganesha.conf  ganesha-ha.conf

Jiffin,

Please confirm that the above behavior is as expected. Based on that i will mark this bug as Verified.

Comment 8 Jiffin 2016-10-09 03:45:21 UTC
Correct Shashank. This is current behavior. Previously directory "nfs-ganesha" in shared storage was used only for storing state of different nfs client. Now it is stored to store configuration file like ganesha.conf and ganesha-ha.conf. So all the entries expect these two should be deleted from "nfs-ganesha" folder in shared storage.

Comment 9 Shashank Raj 2016-10-10 10:06:25 UTC
Based on comment 7 and 8, marking this bug as Verified.

Comment 14 errata-xmlrpc 2017-03-23 05:37:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.